<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE TS>
<TS version="2.0" language="en_US">
<defaultcodec>UTF-8</defaultcodec>
<context>
    <name>AdminDialog</name>
    <message>
        <source>unlock all installment</source>
        <translation type="unfinished">unlock all installment</translation>
    </message>
    <message>
        <source>unlock current installment</source>
        <translation type="unfinished">unlock current installment</translation>
    </message>
</context>
<context>
    <name>AlarmBar</name>
    <message>
        <source>Alarm Bar</source>
        <translation type="unfinished">Alarm Bar</translation>
    </message>
</context>
<context>
    <name>AlarmView</name>
    <message>
        <source>C_1_DisplayName</source>
        <translation type="unfinished">!</translation>
    </message>
    <message>
        <source>C_2_DisplayName</source>
        <translation type="unfinished">#</translation>
    </message>
    <message>
        <source>C_3_DisplayName</source>
        <translation type="unfinished">$</translation>
    </message>
</context>
<context>
    <name>AlarmQueryView</name>
    <message>
        <source>Auxilibary Code</source>
        <translation type="unfinished">Auxilibary Code</translation>
    </message>
    <message>
        <source>Error Code</source>
        <translation type="unfinished">Error Code</translation>
    </message>
    <message>
        <source>Range</source>
        <translation type="unfinished">Range</translation>
    </message>
    <message>
        <source>Reset</source>
        <translation type="unfinished">Reset</translation>
    </message>
    <message>
        <source>Type</source>
        <translation type="unfinished">Type</translation>
    </message>
    <message>
        <source>Display Code</source>
        <translation type="unfinished">Display Code</translation>
    </message>
    <message>
        <source>Error Name</source>
        <translation type="unfinished">Error Name</translation>
    </message>
    <message>
        <source>Id</source>
        <translation type="unfinished">Id</translation>
    </message>
    <message>
        <source>Search</source>
        <translation type="unfinished">Search</translation>
    </message>
    <message>
        <source>Alarm Code</source>
        <translation type="unfinished">Alarm Code</translation>
    </message>
</context>
<context>
    <name>AlarmView</name>
    <message>
        <source>AlarmStatus_1_C</source>
        <translation type="unfinished">C</translation>
    </message>
    <message>
        <source>AlarmStatus_1_D</source>
        <translation type="unfinished">D</translation>
    </message>
    <message>
        <source>AlarmStatus_1_A</source>
        <translation type="unfinished">A</translation>
    </message>
    <message>
        <source>AlarmStatus_2_C</source>
        <translation type="unfinished">C</translation>
    </message>
    <message>
        <source>AlarmStatus_2_D</source>
        <translation type="unfinished">D</translation>
    </message>
    <message>
        <source>AlarmStatus_3_C</source>
        <translation type="unfinished">C</translation>
    </message>
</context>
<context>
    <name>AlarmView</name>
    <message>
        <source>Search</source>
        <translation type="unfinished">Search</translation>
    </message>
    <message>
        <source>Close</source>
        <translation type="unfinished">Close</translation>
    </message>
    <message>
        <source>ScrollRight</source>
        <translation type="unfinished">ScrollRight</translation>
    </message>
    <message>
        <source>Next</source>
        <translation type="unfinished">Next</translation>
    </message>
    <message>
        <source>Previous</source>
        <translation type="unfinished">Previous</translation>
    </message>
    <message>
        <source>Update</source>
        <translation type="unfinished">Update</translation>
    </message>
    <message>
        <source>Ack</source>
        <translation type="unfinished">Ack</translation>
    </message>
    <message>
        <source>Print</source>
        <translation type="unfinished">Print</translation>
    </message>
    <message>
        <source>Help</source>
        <translation type="unfinished">Help</translation>
    </message>
    <message>
        <source>ScrollLeft</source>
        <translation type="unfinished">ScrollLeft</translation>
    </message>
    <message>
        <source>PageDown</source>
        <translation type="unfinished">PageDown</translation>
    </message>
    <message>
        <source>PageUp</source>
        <translation type="unfinished">PageUp</translation>
    </message>
    <message>
        <source>Infotext</source>
        <translation type="unfinished">Infotext</translation>
    </message>
    <message>
        <source>End time</source>
        <translation type="unfinished">End time</translation>
    </message>
    <message>
        <source>Start time</source>
        <translation type="unfinished">Start time</translation>
    </message>
    <message>
        <source>Total times</source>
        <translation type="unfinished">Total times</translation>
    </message>
    <message>
        <source>Alarm Grade</source>
        <translation type="unfinished">Alarm Grade</translation>
    </message>
    <message>
        <source>Fault time</source>
        <translation type="unfinished">Fault time</translation>
    </message>
    <message>
        <source>PLC</source>
        <translation type="unfinished">PLC</translation>
    </message>
    <message>
        <source>GR</source>
        <translation type="unfinished">GR</translation>
    </message>
    <message>
        <source>State</source>
        <translation type="unfinished">State</translation>
    </message>
    <message>
        <source>Date</source>
        <translation type="unfinished">Date</translation>
    </message>
    <message>
        <source>Time</source>
        <translation type="unfinished">Time</translation>
    </message>
    <message>
        <source>Number</source>
        <translation type="unfinished">Number</translation>
    </message>
    <message>
        <source>Name</source>
        <translation type="unfinished">Name</translation>
    </message>
    <message>
        <source>&lt;Undefined&gt;</source>
        <translation type="unfinished">&lt;Undefined&gt;</translation>
    </message>
    <message>
        <source>Text</source>
        <translation type="unfinished">Text</translation>
    </message>
    <message>
        <source>0_controlName</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <source>1_controlName</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>Am600DownLoad</name>
    <message>
        <source>Failed to downLoad file</source>
        <translation type="unfinished">Failed to downLoad file</translation>
    </message>
    <message>
        <source>The downLoad file is too big</source>
        <translation type="unfinished">The downLoad file is too big</translation>
    </message>
    <message>
        <source>Unable to connect to Plc</source>
        <translation type="unfinished">Unable to connect to Plc</translation>
    </message>
    <message>
        <source>DownLoad file does not exis</source>
        <translation type="unfinished">DownLoad file does not exis</translation>
    </message>
    <message>
        <source>DownLoad</source>
        <translation type="unfinished">DownLoad</translation>
    </message>
</context>
<context>
    <name>AppContainer</name>
    <message>
        <source>The loading application only supports one, loading failed!</source>
        <translation type="unfinished">The loading application only supports one, loading failed!</translation>
    </message>
    <message>
        <source>The application is unsupported, loading failed!</source>
        <translation type="unfinished">The application is unsupported, loading failed!</translation>
    </message>
</context>
<context>
    <name>BitButton</name>
    <message>
        <source>Are you sure to operate?</source>
        <translation type="unfinished">Are you sure to operate?</translation>
    </message>
    <message>
        <source>Information</source>
        <translation type="unfinished">Information</translation>
    </message>
</context>
<context>
    <name>CCameraSetting</name>
    <message>
        <source>usb camera not connected!</source>
        <translation type="unfinished">usb camera not connected!</translation>
    </message>
    <message>
        <source>Ok</source>
        <translation type="unfinished">Ok</translation>
    </message>
    <message>
        <source>Cancel</source>
        <translation type="unfinished">Cancel</translation>
    </message>
    <message>
        <source>Resolution:</source>
        <translation type="unfinished">Resolution:</translation>
    </message>
    <message>
        <source>Set</source>
        <translation type="unfinished">Set</translation>
    </message>
</context>
<context>
    <name>CCameraView</name>
    <message>
        <source>usb camera abnormality!</source>
        <translation type="unfinished">usb camera abnormality!</translation>
    </message>
    <message>
        <source>usb camera not connected!</source>
        <translation type="unfinished">usb camera not connected!</translation>
    </message>
</context>
<context>
    <name>Calendar</name>
    <message>
        <source>Sec</source>
        <translation type="unfinished">Sec</translation>
    </message>
    <message>
        <source>Min</source>
        <translation type="unfinished">Min</translation>
    </message>
    <message>
        <source>Hour</source>
        <translation type="unfinished">Hour</translation>
    </message>
    <message>
        <source>Day</source>
        <translation type="unfinished">Day</translation>
    </message>
    <message>
        <source>Mon</source>
        <translation type="unfinished">Mon</translation>
    </message>
    <message>
        <source>Year</source>
        <translation type="unfinished">Year</translation>
    </message>
</context>
<context>
    <name>Chart</name>
    <message>
        <source>curve</source>
        <translation type="unfinished">curve</translation>
    </message>
    <message>
        <source>RulerRight</source>
        <translation type="unfinished">RulerRight</translation>
    </message>
    <message>
        <source>RulerLeft</source>
        <translation type="unfinished">RulerLeft</translation>
    </message>
    <message>
        <source>ZoomOut</source>
        <translation type="unfinished">ZoomOut</translation>
    </message>
    <message>
        <source>ZoomIn</source>
        <translation type="unfinished">ZoomIn</translation>
    </message>
    <message>
        <source>Right</source>
        <translation type="unfinished">Right</translation>
    </message>
    <message>
        <source>Left</source>
        <translation type="unfinished">Left</translation>
    </message>
    <message>
        <source>Current2</source>
        <translation type="unfinished">Current2</translation>
    </message>
    <message>
        <source>Current</source>
        <translation type="unfinished">Current</translation>
    </message>
    <message>
        <source>Start</source>
        <translation type="unfinished">Start</translation>
    </message>
</context>
<context>
    <name>ConfirmDialog</name>
    <message>
        <source>Confirm</source>
        <translation type="unfinished">Confirm</translation>
    </message>
</context>
<context>
    <name>AlarmView</name>
    <message>
        <source>Connection_5_DisplayName</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>CustomDialog</name>
    <message>
        <source>Search</source>
        <translation type="unfinished">Search</translation>
    </message>
    <message>
        <source>Cancel</source>
        <translation type="unfinished">Cancel</translation>
    </message>
    <message>
        <source>OK</source>
        <translation type="unfinished">OK</translation>
    </message>
</context>
<context>
    <name>DataBaseView</name>
    <message>
        <source>Update</source>
        <translation type="unfinished">Update</translation>
    </message>
    <message>
        <source>Next</source>
        <translation type="unfinished">Next</translation>
    </message>
    <message>
        <source>Previous</source>
        <translation type="unfinished">Previous</translation>
    </message>
</context>
<context>
    <name>DataView</name>
    <message>
        <source>DESC</source>
        <translation type="unfinished">DESC</translation>
    </message>
    <message>
        <source>ASC</source>
        <translation type="unfinished">ASC</translation>
    </message>
    <message>
        <source>Previous</source>
        <translation type="unfinished">Previous</translation>
    </message>
    <message>
        <source>Search</source>
        <translation type="unfinished">Search</translation>
    </message>
    <message>
        <source>DateTime</source>
        <translation type="unfinished">DateTime</translation>
    </message>
    <message>
        <source>Validity</source>
        <translation type="unfinished">Validity</translation>
    </message>
    <message>
        <source>Value</source>
        <translation type="unfinished">Value</translation>
    </message>
    <message>
        <source>TagName</source>
        <translation type="unfinished">TagName</translation>
    </message>
    <message>
        <source>No more data to be viewed.</source>
        <translation type="unfinished">No more data to be viewed.</translation>
    </message>
    <message>
        <source>Invalid end datetime!</source>
        <translation type="unfinished">Invalid end datetime!</translation>
    </message>
    <message>
        <source>Invalid start datetime!</source>
        <translation type="unfinished">Invalid start datetime!</translation>
    </message>
    <message>
        <source>Operation succeed!Current Page is %1!</source>
        <translation type="unfinished">Operation succeed!Current Page is %1!</translation>
    </message>
    <message>
        <source>Operation failed!</source>
        <translation type="unfinished">Operation failed!</translation>
    </message>
    <message>
        <source>Reading Database,Please wait...</source>
        <translation type="unfinished">Reading Database,Please wait...</translation>
    </message>
    <message>
        <source>Print</source>
        <translation type="unfinished">Print</translation>
    </message>
    <message>
        <source>Next</source>
        <translation type="unfinished">Next</translation>
    </message>
    <message>
        <source>Prev</source>
        <translation type="unfinished">Prev</translation>
    </message>
    <message>
        <source>Update</source>
        <translation type="unfinished">Update</translation>
    </message>
    <message>
        <source>Go</source>
        <translation type="unfinished">Go</translation>
    </message>
    <message>
        <source>End Time:</source>
        <translation type="unfinished">End Time:</translation>
    </message>
    <message>
        <source>Start Time:</source>
        <translation type="unfinished">Start Time:</translation>
    </message>
    <message>
        <source>Select dataLog</source>
        <translation type="unfinished">Select dataLog</translation>
    </message>
</context>
<context>
    <name>FileBrowserView</name>
    <message>
        <source>Date Modified</source>
        <translation type="unfinished">Date Modified</translation>
    </message>
    <message>
        <source>Type</source>
        <translation type="unfinished">Type</translation>
    </message>
    <message>
        <source>Size</source>
        <translation type="unfinished">Size</translation>
    </message>
    <message>
        <source>Name</source>
        <translation type="unfinished">Name</translation>
    </message>
    <message>
        <source>FileName</source>
        <translation type="unfinished">FileName</translation>
    </message>
    <message>
        <source>Mount device:</source>
        <translation type="unfinished">Mount device:</translation>
    </message>
    <message>
        <source>Update</source>
        <translation type="unfinished">Update</translation>
    </message>
</context>
<context>
    <name>FilterDialog</name>
    <message>
        <source>Date</source>
        <translation type="unfinished">Date</translation>
    </message>
    <message>
        <source>Turn Off</source>
        <translation type="unfinished">Turn Off</translation>
    </message>
    <message>
        <source>Turn On</source>
        <translation type="unfinished">Turn On</translation>
    </message>
    <message>
        <source>The time interval cannot exceed 60 days.</source>
        <translation type="unfinished">The time interval cannot exceed 60 days.</translation>
    </message>
    <message>
        <source>The end time cannot be later than the current time.</source>
        <translation type="unfinished">The end time cannot be later than the current time.</translation>
    </message>
    <message>
        <source>The start time cannot be later than the end time.</source>
        <translation type="unfinished">The start time cannot be later than the end time.</translation>
    </message>
    <message>
        <source>Alarm record filtering</source>
        <translation type="unfinished">Alarm record filtering</translation>
    </message>
    <message>
        <source>Close Filter</source>
        <translation type="unfinished">Close Filter</translation>
    </message>
    <message>
        <source>Open Filter</source>
        <translation type="unfinished">Open Filter</translation>
    </message>
    <message>
        <source>Input error</source>
        <translation type="unfinished">Input error</translation>
    </message>
    <message>
        <source>The time interval cannot exceed 60 days</source>
        <translation type="unfinished">The time interval cannot exceed 60 days</translation>
    </message>
    <message>
        <source>The end time cannot be later than the current time</source>
        <translation type="unfinished">The end time cannot be later than the current time</translation>
    </message>
    <message>
        <source>The start time cannot be later than the end time</source>
        <translation type="unfinished">The start time cannot be later than the end time</translation>
    </message>
    <message>
        <source>End Time</source>
        <translation type="unfinished">End Time</translation>
    </message>
    <message>
        <source>Start Time</source>
        <translation type="unfinished">Start Time</translation>
    </message>
    <message>
        <source>AlarmLog Filter</source>
        <translation type="unfinished">AlarmLog Filter</translation>
    </message>
</context>
<context>
    <name>FindDialog</name>
    <message>
        <source>Find</source>
        <translation type="unfinished">Find</translation>
    </message>
    <message>
        <source>Whole Words</source>
        <translation type="unfinished">Whole Words</translation>
    </message>
    <message>
        <source>CaseSensitive</source>
        <translation type="unfinished">CaseSensitive</translation>
    </message>
    <message>
        <source>Backward</source>
        <translation type="unfinished">Backward</translation>
    </message>
    <message>
        <source>Options</source>
        <translation type="unfinished">Options</translation>
    </message>
    <message>
        <source>Find what</source>
        <translation type="unfinished">Find what</translation>
    </message>
</context>
<context>
    <name>FindReplaceDialog</name>
    <message>
        <source>Replace All</source>
        <translation type="unfinished">Replace All</translation>
    </message>
    <message>
        <source>Replace</source>
        <translation type="unfinished">Replace</translation>
    </message>
    <message>
        <source>Find</source>
        <translation type="unfinished">Find</translation>
    </message>
    <message>
        <source>Whole Words</source>
        <translation type="unfinished">Whole Words</translation>
    </message>
    <message>
        <source>CaseSensitive</source>
        <translation type="unfinished">CaseSensitive</translation>
    </message>
    <message>
        <source>Backward</source>
        <translation type="unfinished">Backward</translation>
    </message>
    <message>
        <source>Options</source>
        <translation type="unfinished">Options</translation>
    </message>
    <message>
        <source>Replace with</source>
        <translation type="unfinished">Replace with</translation>
    </message>
    <message>
        <source>Find what</source>
        <translation type="unfinished">Find what</translation>
    </message>
</context>
<context>
    <name>GcodeView</name>
    <message>
        <source>Save failed!</source>
        <translation type="unfinished">Save failed!</translation>
    </message>
    <message>
        <source>Save successful!</source>
        <translation type="unfinished">Save successful!</translation>
    </message>
</context>
<context>
    <name>GetHwndThread</name>
    <message>
        <source>The application loading failed!</source>
        <translation type="unfinished">The application loading failed!</translation>
    </message>
</context>
<context>
    <name>GifDisplayItem</name>
    <message>
        <source>There is not enough available memory, and the animation stops playing. Please try shrinking the animation, using a smaller animation, or reducing the number of page animations</source>
        <translation type="unfinished">There is not enough available memory, and the animation stops playing. Please try shrinking the animation, using a smaller animation, or reducing the number of page animations</translation>
    </message>
</context>
<context>
    <name>Group</name>
    <message>
        <source>5_controlName</source>
        <translation type="unfinished">实时数据/Group_1_2</translation>
    </message>
    <message>
        <source>9_controlName</source>
        <translation type="unfinished">实时数据/Group_1_2</translation>
    </message>
</context>
<context>
    <name>GroupDataView</name>
    <message>
        <source>Total:</source>
        <translation type="unfinished">Total:</translation>
    </message>
    <message>
        <source>Number:</source>
        <translation type="unfinished">Number:</translation>
    </message>
    <message>
        <source>End Time:</source>
        <translation type="unfinished">End Time:</translation>
    </message>
    <message>
        <source>Start Time:</source>
        <translation type="unfinished">Start Time:</translation>
    </message>
    <message>
        <source>DataLog:</source>
        <translation type="unfinished">DataLog:</translation>
    </message>
</context>
<context>
    <name>UserModel</name>
    <message>
        <source>1_DisplayName</source>
        <translation type="unfinished">Operator group</translation>
    </message>
    <message>
        <source>2_DisplayName</source>
        <translation type="unfinished">Admin group</translation>
    </message>
</context>
<context>
    <name>InputDialog</name>
    <message>
        <source>Data record name:</source>
        <translation type="unfinished">Data record name:</translation>
    </message>
</context>
<context>
    <name>InstalMentManage</name>
    <message>
        <source>Time error,please check the battery</source>
        <translation type="unfinished">Time error,please check the battery</translation>
    </message>
    <message>
        <source>unlock</source>
        <translation type="unfinished">unlock</translation>
    </message>
</context>
<context>
    <name>IoMonitorView</name>
    <message>
        <source>Status</source>
        <translation type="unfinished">Status</translation>
    </message>
    <message>
        <source>Address</source>
        <translation type="unfinished">Address</translation>
    </message>
    <message>
        <source>Describe</source>
        <translation type="unfinished">Describe</translation>
    </message>
    <message>
        <source>Number</source>
        <translation type="unfinished">Number</translation>
    </message>
    <message>
        <source>Search</source>
        <translation type="unfinished">Search</translation>
    </message>
</context>
<context>
    <name>IpAddrDialog</name>
    <message>
        <source>IP Address:</source>
        <translation type="unfinished">IP Address:</translation>
    </message>
    <message>
        <source>download</source>
        <translation type="unfinished">download</translation>
    </message>
</context>
<context>
    <name>LineEditItem</name>
    <message>
        <source>3_controlName</source>
        <translation type="unfinished">实时数据/numerical IO domain_7</translation>
    </message>
    <message>
        <source>7_controlName</source>
        <translation type="unfinished">实时数据/numerical IO domain_7</translation>
    </message>
</context>
<context>
    <name>LoadingPopup</name>
    <message>
        <source>Loading...</source>
        <translation type="unfinished">Loading...</translation>
    </message>
</context>
<context>
    <name>LockDialog</name>
    <message>
        <source>RandomCode</source>
        <translation type="unfinished">RandomCode</translation>
    </message>
    <message>
        <source>password</source>
        <translation type="unfinished">password</translation>
    </message>
    <message>
        <source>end date</source>
        <translation type="unfinished">end date</translation>
    </message>
    <message>
        <source>input password is wrong</source>
        <translation type="unfinished">input password is wrong</translation>
    </message>
    <message>
        <source>unlock</source>
        <translation type="unfinished">unlock</translation>
    </message>
</context>
<context>
    <name>LogonDialog</name>
    <message>
        <source>Password:</source>
        <translation type="unfinished">Password:</translation>
    </message>
    <message>
        <source>Username:</source>
        <translation type="unfinished">Username:</translation>
    </message>
    <message>
        <source>Log In</source>
        <translation type="unfinished">Log In</translation>
    </message>
    <message>
        <source>LogonDialog</source>
        <translation type="unfinished">LogonDialog</translation>
    </message>
    <message>
        <source>Password</source>
        <translation type="unfinished">Password</translation>
    </message>
    <message>
        <source>User</source>
        <translation type="unfinished">User</translation>
    </message>
    <message>
        <source>Invalid password!</source>
        <translation type="unfinished">Invalid password!</translation>
    </message>
    <message>
        <source>User insufficient authority!</source>
        <translation type="unfinished">User insufficient authority!</translation>
    </message>
    <message>
        <source>User logon</source>
        <translation type="unfinished">User logon</translation>
    </message>
</context>
<context>
    <name>MainWindow</name>
    <message>
        <source>exec extern application failed.</source>
        <translation type="unfinished">exec extern application failed.</translation>
    </message>
    <message>
        <source>file is no exist.</source>
        <translation type="unfinished">file is no exist.</translation>
    </message>
    <message>
        <source>script CopyDataLog time error</source>
        <translation type="unfinished">script CopyDataLog time error</translation>
    </message>
    <message>
        <source>input password is wrong</source>
        <translation type="unfinished">input password is wrong</translation>
    </message>
    <message>
        <source>unlock</source>
        <translation type="unfinished">unlock</translation>
    </message>
    <message>
        <source>Project is damaged!</source>
        <translation type="unfinished">Project is damaged!</translation>
    </message>
    <message>
        <source>Unknown Error!</source>
        <translation type="unfinished">Unknown Error!</translation>
    </message>
    <message>
        <source>Is the print ...</source>
        <translation type="unfinished">Is the print ...</translation>
    </message>
    <message>
        <source>Print failed!</source>
        <translation type="unfinished">Print failed!</translation>
    </message>
    <message>
        <source>Print successfully!</source>
        <translation type="unfinished">Print successfully!</translation>
    </message>
    <message>
        <source>the length of password must be greater than or equal to 3!</source>
        <translation type="unfinished">the length of password must be greater than or equal to 3!</translation>
    </message>
    <message>
        <source>Change %1&apos;s password success!</source>
        <translation type="unfinished">Change %1&apos;s password success!</translation>
    </message>
    <message>
        <source>User or password is empty!</source>
        <translation type="unfinished">User or password is empty!</translation>
    </message>
    <message>
        <source>Please enter the right User!</source>
        <translation type="unfinished">Please enter the right User!</translation>
    </message>
    <message>
        <source>Change %1&apos;s password failed!</source>
        <translation type="unfinished">Change %1&apos;s password failed!</translation>
    </message>
    <message>
        <source>ChangePassword</source>
        <translation type="unfinished">ChangePassword</translation>
    </message>
    <message>
        <source>Username has been logged in!</source>
        <translation type="unfinished">Username has been logged in!</translation>
    </message>
    <message>
        <source>Username and password do not match!</source>
        <translation type="unfinished">Username and password do not match!</translation>
    </message>
    <message>
        <source>LogOn</source>
        <translation type="unfinished">LogOn</translation>
    </message>
    <message>
        <source>Logon</source>
        <translation type="unfinished">Logon</translation>
    </message>
    <message>
        <source>Print suspend!</source>
        <translation type="unfinished">Print suspend!</translation>
    </message>
    <message>
        <source>There is no data to be printed!</source>
        <translation type="unfinished">There is no data to be printed!</translation>
    </message>
    <message>
        <source>Print job error!</source>
        <translation type="unfinished">Print job error!</translation>
    </message>
    <message>
        <source>Firmware does not exist or is not readable!</source>
        <translation type="unfinished">Firmware does not exist or is not readable!</translation>
    </message>
    <message>
        <source>Printer model does not support!</source>
        <translation type="unfinished">Printer model does not support!</translation>
    </message>
    <message>
        <source>Printer is not connected!</source>
        <translation type="unfinished">Printer is not connected!</translation>
    </message>
    <message>
        <source>Print</source>
        <translation type="unfinished">Print</translation>
    </message>
    <message>
        <source>Do you want to restore?</source>
        <translation type="unfinished">Do you want to restore?</translation>
    </message>
    <message>
        <source>Do you want to restore factory settings?</source>
        <translation type="unfinished">Do you want to restore factory settings?</translation>
    </message>
    <message>
        <source>PassWord Setting</source>
        <translation type="unfinished">PassWord Setting</translation>
    </message>
    <message>
        <source>Restore</source>
        <translation type="unfinished">Restore</translation>
    </message>
    <message>
        <source>Restart takes effect.Do you want to restart now?</source>
        <translation type="unfinished">Restart takes effect.Do you want to restart now?</translation>
    </message>
    <message>
        <source>Do you want to reboot the iot module?</source>
        <translation type="unfinished">Do you want to reboot the iot module?</translation>
    </message>
    <message>
        <source>Do you want to quit the project?</source>
        <translation type="unfinished">Do you want to quit the project?</translation>
    </message>
</context>
<context>
    <name>NumberIOField</name>
    <message>
        <source>The input value exceeds limit!</source>
        <translation type="unfinished">The input value exceeds limit!</translation>
    </message>
    <message>
        <source>Are you sure to operate?</source>
        <translation type="unfinished">Are you sure to operate?</translation>
    </message>
    <message>
        <source>Information</source>
        <translation type="unfinished">Information</translation>
    </message>
</context>
<context>
    <name>OperationRecordView</name>
    <message>
        <source>End Time:</source>
        <translation type="unfinished">End Time:</translation>
    </message>
    <message>
        <source>Start Time:</source>
        <translation type="unfinished">Start Time:</translation>
    </message>
    <message>
        <source>Search</source>
        <translation type="unfinished">Search</translation>
    </message>
    <message>
        <source>Information</source>
        <translation type="unfinished">Information</translation>
    </message>
    <message>
        <source>ActionDescription</source>
        <translation type="unfinished">ActionDescription</translation>
    </message>
    <message>
        <source>Time</source>
        <translation type="unfinished">Time</translation>
    </message>
    <message>
        <source>Date</source>
        <translation type="unfinished">Date</translation>
    </message>
    <message>
        <source>ComponentName</source>
        <translation type="unfinished">ComponentName</translation>
    </message>
    <message>
        <source>UserName</source>
        <translation type="unfinished">UserName</translation>
    </message>
</context>
<context>
    <name>PDFView</name>
    <message>
        <source>Are you sure to close file?</source>
        <translation type="unfinished">Are you sure to close file?</translation>
    </message>
    <message>
        <source>Framework</source>
        <translation type="unfinished">Framework</translation>
    </message>
    <message>
        <source>PDF files(*.pdf);;All files(*.*)</source>
        <translation type="unfinished">PDF files(*.pdf);;All files(*.*)</translation>
    </message>
    <message>
        <source>Open PDF Failed! %1</source>
        <translation type="unfinished">Open PDF Failed! %1</translation>
    </message>
    <message>
        <source>The file size is over than %1Mb, open failed!</source>
        <translation type="unfinished">The file size is over than %1Mb, open failed!</translation>
    </message>
    <message>
        <source>open file</source>
        <translation type="unfinished">open file</translation>
    </message>
    <message>
        <source>Open PDF Failed!</source>
        <translation type="unfinished">Open PDF Failed!</translation>
    </message>
    <message>
        <source>The file path is too long.</source>
        <translation type="unfinished">The file path is too long.</translation>
    </message>
    <message>
        <source>Page not found or content error.</source>
        <translation type="unfinished">Page not found or content error.</translation>
    </message>
    <message>
        <source>Unsupported security scheme.</source>
        <translation type="unfinished">Unsupported security scheme.</translation>
    </message>
    <message>
        <source>Password required or incorrect password.</source>
        <translation type="unfinished">Password required or incorrect password.</translation>
    </message>
    <message>
        <source>File not in PDF format or corrupted.</source>
        <translation type="unfinished">File not in PDF format or corrupted.</translation>
    </message>
    <message>
        <source>File not found or could not be opened.</source>
        <translation type="unfinished">File not found or could not be opened.</translation>
    </message>
    <message>
        <source>Unknown error.</source>
        <translation type="unfinished">Unknown error.</translation>
    </message>
    <message>
        <source>No error.</source>
        <translation type="unfinished">No error.</translation>
    </message>
</context>
<context>
    <name>Paginator</name>
    <message>
        <source>Total:</source>
        <translation type="unfinished">Total:</translation>
    </message>
    <message>
        <source>Number:</source>
        <translation type="unfinished">Number:</translation>
    </message>
</context>
<context>
    <name>ProductCurveView</name>
    <message>
        <source>Save Path</source>
        <translation type="unfinished">Save Path</translation>
    </message>
    <message>
        <source>GridMode</source>
        <translation type="unfinished">GridMode</translation>
    </message>
    <message>
        <source>ScaleMode</source>
        <translation type="unfinished">ScaleMode</translation>
    </message>
    <message>
        <source>DragMode</source>
        <translation type="unfinished">DragMode</translation>
    </message>
    <message>
        <source>Legend</source>
        <translation type="unfinished">Legend</translation>
    </message>
    <message>
        <source>Sum Page:</source>
        <translation type="unfinished">Sum Page:</translation>
    </message>
    <message>
        <source>Page:</source>
        <translation type="unfinished">Page:</translation>
    </message>
    <message>
        <source>please select one produce record!</source>
        <translation type="unfinished">please select one produce record!</translation>
    </message>
    <message>
        <source>info</source>
        <translation type="unfinished">info</translation>
    </message>
    <message>
        <source>property box visiable</source>
        <translation type="unfinished">property box visiable</translation>
    </message>
    <message>
        <source>Product SN</source>
        <translation type="unfinished">Product SN</translation>
    </message>
    <message>
        <source>ID</source>
        <translation type="unfinished">ID</translation>
    </message>
    <message>
        <source>reset</source>
        <translation type="unfinished">reset</translation>
    </message>
    <message>
        <source>search</source>
        <translation type="unfinished">search</translation>
    </message>
    <message>
        <source>end time:</source>
        <translation type="unfinished">end time:</translation>
    </message>
    <message>
        <source>start time:</source>
        <translation type="unfinished">start time:</translation>
    </message>
    <message>
        <source>setting list</source>
        <translation type="unfinished">setting list</translation>
    </message>
    <message>
        <source>curve list</source>
        <translation type="unfinished">curve list</translation>
    </message>
    <message>
        <source>data list</source>
        <translation type="unfinished">data list</translation>
    </message>
    <message>
        <source>product list</source>
        <translation type="unfinished">product list</translation>
    </message>
</context>
<context>
    <name>ProductXYCurveView</name>
    <message>
        <source>The export path does not exist. Please check</source>
        <translation type="unfinished">The export path does not exist. Please check</translation>
    </message>
    <message>
        <source>The save path does not exist. Please check</source>
        <translation type="unfinished">The save path does not exist. Please check</translation>
    </message>
    <message>
        <source>The curve view does not exist in the history list</source>
        <translation type="unfinished">The curve view does not exist in the history list</translation>
    </message>
    <message>
        <source>No data is available, and the exported content is empty</source>
        <translation type="unfinished">No data is available, and the exported content is empty</translation>
    </message>
    <message>
        <source>export fail</source>
        <translation type="unfinished">export fail</translation>
    </message>
    <message>
        <source>export success</source>
        <translation type="unfinished">export success</translation>
    </message>
    <message>
        <source>confirm</source>
        <translation type="unfinished">confirm</translation>
    </message>
    <message>
        <source>cancel</source>
        <translation type="unfinished">cancel</translation>
    </message>
    <message>
        <source>data exporting...</source>
        <translation type="unfinished">data exporting...</translation>
    </message>
    <message>
        <source>export</source>
        <translation type="unfinished">export</translation>
    </message>
    <message>
        <source>The interval between the start date and the end date can only be one month</source>
        <translation type="unfinished">The interval between the start date and the end date can only be one month</translation>
    </message>
    <message>
        <source>The end date cannot be later than the current date</source>
        <translation type="unfinished">The end date cannot be later than the current date</translation>
    </message>
    <message>
        <source>The start date cannot be later than the end date</source>
        <translation type="unfinished">The start date cannot be later than the end date</translation>
    </message>
    <message>
        <source>The start date or end date can not empty</source>
        <translation type="unfinished">The start date or end date can not empty</translation>
    </message>
    <message>
        <source>Criticals</source>
        <translation type="unfinished">Criticals</translation>
    </message>
    <message>
        <source>Warnings</source>
        <translation type="unfinished">Warnings</translation>
    </message>
    <message>
        <source>Select Directory</source>
        <translation type="unfinished">Select Directory</translation>
    </message>
    <message>
        <source>ExpHistoryDat</source>
        <translation type="unfinished">ExpHistoryDat</translation>
    </message>
    <message>
        <source>ExportPath:</source>
        <translation type="unfinished">ExportPath:</translation>
    </message>
    <message>
        <source>SavePath:</source>
        <translation type="unfinished">SavePath:</translation>
    </message>
    <message>
        <source>GridMode</source>
        <translation type="unfinished">GridMode</translation>
    </message>
    <message>
        <source>ScaleMode</source>
        <translation type="unfinished">ScaleMode</translation>
    </message>
    <message>
        <source>DragMode</source>
        <translation type="unfinished">DragMode</translation>
    </message>
    <message>
        <source>Legend</source>
        <translation type="unfinished">Legend</translation>
    </message>
    <message>
        <source>Product SN</source>
        <translation type="unfinished">Product SN</translation>
    </message>
    <message>
        <source>ID</source>
        <translation type="unfinished">ID</translation>
    </message>
    <message>
        <source>Search</source>
        <translation type="unfinished">Search</translation>
    </message>
    <message>
        <source>End Time:</source>
        <translation type="unfinished">End Time:</translation>
    </message>
    <message>
        <source>Start Time:</source>
        <translation type="unfinished">Start Time:</translation>
    </message>
    <message>
        <source>SettingList</source>
        <translation type="unfinished">SettingList</translation>
    </message>
    <message>
        <source>CurvePlot</source>
        <translation type="unfinished">CurvePlot</translation>
    </message>
    <message>
        <source>HistoryData</source>
        <translation type="unfinished">HistoryData</translation>
    </message>
</context>
<context>
    <name>PushButtonItem</name>
    <message>
        <source>Are you sure to operate?</source>
        <translation type="unfinished">Are you sure to operate?</translation>
    </message>
    <message>
        <source>Information</source>
        <translation type="unfinished">Information</translation>
    </message>
</context>
<context>
    <name>QDialogButtonBox</name>
    <message>
        <source>&amp;OK</source>
        <translation type="unfinished">&amp;OK</translation>
    </message>
    <message>
        <source>Close without Saving</source>
        <translation type="unfinished">Close without Saving</translation>
    </message>
    <message>
        <source>Restore Defaults</source>
        <translation type="unfinished">Restore Defaults</translation>
    </message>
    <message>
        <source>Ignore</source>
        <translation type="unfinished">Ignore</translation>
    </message>
    <message>
        <source>Retry</source>
        <translation type="unfinished">Retry</translation>
    </message>
    <message>
        <source>Abort</source>
        <translation type="unfinished">Abort</translation>
    </message>
    <message>
        <source>Save All</source>
        <translation type="unfinished">Save All</translation>
    </message>
    <message>
        <source>N&amp;o to All</source>
        <translation type="unfinished">N&amp;o to All</translation>
    </message>
    <message>
        <source>&amp;No</source>
        <translation type="unfinished">&amp;No</translation>
    </message>
    <message>
        <source>Yes to &amp;All</source>
        <translation type="unfinished">Yes to &amp;All</translation>
    </message>
    <message>
        <source>&amp;Yes</source>
        <translation type="unfinished">&amp;Yes</translation>
    </message>
    <message>
        <source>Discard</source>
        <translation type="unfinished">Discard</translation>
    </message>
    <message>
        <source>Don&apos;t Save</source>
        <translation type="unfinished">Don&apos;t Save</translation>
    </message>
    <message>
        <source>Help</source>
        <translation type="unfinished">Help</translation>
    </message>
    <message>
        <source>Reset</source>
        <translation type="unfinished">Reset</translation>
    </message>
    <message>
        <source>Apply</source>
        <translation type="unfinished">Apply</translation>
    </message>
    <message>
        <source>&amp;Close</source>
        <translation type="unfinished">&amp;Close</translation>
    </message>
    <message>
        <source>Close</source>
        <translation type="unfinished">Close</translation>
    </message>
    <message>
        <source>&amp;Cancel</source>
        <translation type="unfinished">&amp;Cancel</translation>
    </message>
    <message>
        <source>Cancel</source>
        <translation type="unfinished">Cancel</translation>
    </message>
    <message>
        <source>Open</source>
        <translation type="unfinished">Open</translation>
    </message>
    <message>
        <source>&amp;Save</source>
        <translation type="unfinished">&amp;Save</translation>
    </message>
    <message>
        <source>Save</source>
        <translation type="unfinished">Save</translation>
    </message>
    <message>
        <source>OK</source>
        <translation type="unfinished">OK</translation>
    </message>
</context>
<context>
    <name>QObject</name>
    <message>
        <source>%1 has automatically adapted to the length of Eip single package supported by PLC.</source>
        <translation type="unfinished">%1 has automatically adapted to the length of Eip single package supported by PLC.</translation>
    </message>
    <message>
        <source>value changed </source>
        <translation type="unfinished">value changed </translation>
    </message>
    <message>
        <source> update to device</source>
        <translation type="unfinished"> update to device</translation>
    </message>
    <message>
        <source> to </source>
        <translation type="unfinished"> to </translation>
    </message>
    <message>
        <source>From device update</source>
        <translation type="unfinished">From device update</translation>
    </message>
    <message>
        <source>delete record :</source>
        <translation type="unfinished">delete record :</translation>
    </message>
    <message>
        <source>synchronization variable </source>
        <translation type="unfinished">synchronization variable </translation>
    </message>
    <message>
        <source>save as %1-&gt;%2</source>
        <translation type="unfinished">save as %1-&gt;%2</translation>
    </message>
    <message>
        <source>save record :</source>
        <translation type="unfinished">save record :</translation>
    </message>
    <message>
        <source>rename :</source>
        <translation type="unfinished">rename :</translation>
    </message>
    <message>
        <source>create record :</source>
        <translation type="unfinished">create record :</translation>
    </message>
    <message>
        <source>record Load :</source>
        <translation type="unfinished">record Load :</translation>
    </message>
    <message>
        <source>recipe load</source>
        <translation type="unfinished">recipe load</translation>
    </message>
    <message>
        <source>name</source>
        <translation type="unfinished">name</translation>
    </message>
    <message>
        <source>DateTime</source>
        <translation type="unfinished">DateTime</translation>
    </message>
    <message>
        <source>Row</source>
        <translation type="unfinished">Row</translation>
    </message>
    <message>
        <source>RowCount,Text,Number,Time,Date,State,Category,ClassId,GroupId,ConnectName</source>
        <translation type="unfinished">RowCount,Text,Number,Time,Date,State,Category,ClassId,GroupId,ConnectName</translation>
    </message>
    <message>
        <source>#Column J:ConnectName</source>
        <translation type="unfinished">#Column J:ConnectName</translation>
    </message>
    <message>
        <source>#Column I:GroupId</source>
        <translation type="unfinished">#Column I:GroupId</translation>
    </message>
    <message>
        <source>#Column H:ClassId(1-error,2-warning,3-systemAlarm,other-CustomType)</source>
        <translation type="unfinished">#Column H:ClassId(1-error,2-warning,3-systemAlarm,other-CustomType)</translation>
    </message>
    <message>
        <source>#Column G:Category(1-analogAlarm,2-discreteAlarm,3-systemAlarm)</source>
        <translation type="unfinished">#Column G:Category(1-analogAlarm,2-discreteAlarm,3-systemAlarm)</translation>
    </message>
    <message>
        <source>#Column F:State(0-activated and deactivated,1-activated,2-activated ack and deactivated,3-activated and ack,6-activated deactivated and ack)</source>
        <translation type="unfinished">#Column F:State(0-activated and deactivated,1-activated,2-activated ack and deactivated,3-activated and ack,6-activated deactivated and ack)</translation>
    </message>
    <message>
        <source>#Column E:Date</source>
        <translation type="unfinished">#Column E:Date</translation>
    </message>
    <message>
        <source>#Column D:Time</source>
        <translation type="unfinished">#Column D:Time</translation>
    </message>
    <message>
        <source>#Column C:Number</source>
        <translation type="unfinished">#Column C:Number</translation>
    </message>
    <message>
        <source>#Column B:Text</source>
        <translation type="unfinished">#Column B:Text</translation>
    </message>
    <message>
        <source>RowCount,TagName,Value,Validity,DateTime,ValId</source>
        <translation type="unfinished">RowCount,TagName,Value,Validity,DateTime,ValId</translation>
    </message>
    <message>
        <source>#Column F:ValId</source>
        <translation type="unfinished">#Column F:ValId</translation>
    </message>
    <message>
        <source>#Column E:DateTime</source>
        <translation type="unfinished">#Column E:DateTime</translation>
    </message>
    <message>
        <source>#Column D:Validity(0-invalid,1-valid)</source>
        <translation type="unfinished">#Column D:Validity(0-invalid,1-valid)</translation>
    </message>
    <message>
        <source>#Column C:Value</source>
        <translation type="unfinished">#Column C:Value</translation>
    </message>
    <message>
        <source>#Column B:TagName</source>
        <translation type="unfinished">#Column B:TagName</translation>
    </message>
    <message>
        <source>#Column A:RowCount</source>
        <translation type="unfinished">#Column A:RowCount</translation>
    </message>
    <message>
        <source>UserName,ComponentName,Date,Time,ActionDescription,Information</source>
        <translation type="unfinished">UserName,ComponentName,Date,Time,ActionDescription,Information</translation>
    </message>
    <message>
        <source>OperationRecord</source>
        <translation type="unfinished">OperationRecord</translation>
    </message>
    <message>
        <source>The new line number is not less than the following line number, it will be automatically modified!</source>
        <translation type="unfinished">The new line number is not less than the following line number, it will be automatically modified!</translation>
    </message>
    <message>
        <source>Are sure you want to delete &apos;%1&apos;?</source>
        <translation type="unfinished">Are sure you want to delete &apos;%1&apos;?</translation>
    </message>
    <message>
        <source>%1 already exists.\nDo you want to replace it?</source>
        <translation type="unfinished">%1 already exists.\nDo you want to replace it?</translation>
    </message>
    <message>
        <source>to</source>
        <translation type="unfinished">to</translation>
    </message>
    <message>
        <source>From</source>
        <translation type="unfinished">From</translation>
    </message>
    <message>
        <source>Tag</source>
        <translation type="unfinished">Tag</translation>
    </message>
    <message>
        <source>write: %1-&gt;%2</source>
        <translation type="unfinished">write: %1-&gt;%2</translation>
    </message>
    <message>
        <source>write variable</source>
        <translation type="unfinished">write variable</translation>
    </message>
    <message>
        <source>variable</source>
        <translation type="unfinished">variable</translation>
    </message>
    <message>
        <source>Switch to &apos;%1&apos;</source>
        <translation type="unfinished">Switch to &apos;%1&apos;</translation>
    </message>
    <message>
        <source>Value changed from &apos;%1&apos; to &apos;%2&apos;</source>
        <translation type="unfinished">Value changed from &apos;%1&apos; to &apos;%2&apos;</translation>
    </message>
    <message>
        <source>write %1</source>
        <translation type="unfinished">write %1</translation>
    </message>
    <message>
        <source>Search</source>
        <translation type="unfinished">Search</translation>
    </message>
    <message>
        <source>clicked</source>
        <translation type="unfinished">clicked</translation>
    </message>
    <message>
        <source>Sunday</source>
        <translation type="unfinished">Sunday</translation>
    </message>
    <message>
        <source>Saturday</source>
        <translation type="unfinished">Saturday</translation>
    </message>
    <message>
        <source>Friday</source>
        <translation type="unfinished">Friday</translation>
    </message>
    <message>
        <source>Thursday</source>
        <translation type="unfinished">Thursday</translation>
    </message>
    <message>
        <source>Wednesday</source>
        <translation type="unfinished">Wednesday</translation>
    </message>
    <message>
        <source>Tuesday</source>
        <translation type="unfinished">Tuesday</translation>
    </message>
    <message>
        <source>Monday</source>
        <translation type="unfinished">Monday</translation>
    </message>
    <message>
        <source>Max:%1</source>
        <translation type="unfinished">Max:%1</translation>
    </message>
    <message>
        <source>Min:%1</source>
        <translation type="unfinished">Min:%1</translation>
    </message>
    <message>
        <source>Min:%1 Max:%2</source>
        <translation type="unfinished">Min:%1 Max:%2</translation>
    </message>
    <message>
        <source>not connected!</source>
        <translation type="unfinished">not connected!</translation>
    </message>
    <message>
        <source>connected</source>
        <translation type="unfinished">connected</translation>
    </message>
    <message>
        <source>not found!</source>
        <translation type="unfinished">not found!</translation>
    </message>
    <message>
        <source>found</source>
        <translation type="unfinished">found</translation>
    </message>
    <message>
        <source>Copy</source>
        <translation type="unfinished">Copy</translation>
    </message>
    <message>
        <source>No</source>
        <translation type="unfinished">No</translation>
    </message>
    <message>
        <source>Yes</source>
        <translation type="unfinished">Yes</translation>
    </message>
    <message>
        <source>Cancel</source>
        <translation type="unfinished">Cancel</translation>
    </message>
    <message>
        <source>OK</source>
        <translation type="unfinished">OK</translation>
    </message>
    <message>
        <source>Release</source>
        <translation type="unfinished">Release</translation>
    </message>
    <message>
        <source>Occur</source>
        <translation type="unfinished">Occur</translation>
    </message>
    <message>
        <source>Remote Debug End</source>
        <translation type="unfinished">Remote Debug End</translation>
    </message>
    <message>
        <source>Remote Debug Start</source>
        <translation type="unfinished">Remote Debug Start</translation>
    </message>
    <message>
        <source>Fingerprint Device Clean Success.</source>
        <translation type="unfinished">Fingerprint Device Clean Success.</translation>
    </message>
    <message>
        <source>Fingerprint Device Data Check Success!</source>
        <translation type="unfinished">Fingerprint Device Data Check Success!</translation>
    </message>
    <message>
        <source>Fingerprint Device Data Check Error!</source>
        <translation type="unfinished">Fingerprint Device Data Check Error!</translation>
    </message>
    <message>
        <source>Fingerprint Device:%1,Port:%2 Connect Fail</source>
        <translation type="unfinished">Fingerprint Device:%1,Port:%2 Connect Fail</translation>
    </message>
    <message>
        <source>Fingerprint Device:%1,Port:%2 Connect Success</source>
        <translation type="unfinished">Fingerprint Device:%1,Port:%2 Connect Success</translation>
    </message>
    <message>
        <source>IP address conflict:%1.</source>
        <translation type="unfinished">IP address conflict:%1.</translation>
    </message>
    <message>
        <source>Heartbeat timeout with IOT service:%1.</source>
        <translation type="unfinished">Heartbeat timeout with IOT service:%1.</translation>
    </message>
    <message>
        <source>Heartbeat timeout with server:%1.</source>
        <translation type="unfinished">Heartbeat timeout with server:%1.</translation>
    </message>
    <message>
        <source>WiFi signal is weak:%1.</source>
        <translation type="unfinished">WiFi signal is weak:%1.</translation>
    </message>
    <message>
        <source>4G signal is weak :%1.</source>
        <translation type="unfinished">4G signal is weak :%1.</translation>
    </message>
    <message>
        <source>Flash read only:%1.</source>
        <translation type="unfinished">Flash read only:%1.</translation>
    </message>
    <message>
        <source>SD card read only:%1.</source>
        <translation type="unfinished">SD card read only:%1.</translation>
    </message>
    <message>
        <source>WiFi module not recognized:%1.</source>
        <translation type="unfinished">WiFi module not recognized:%1.</translation>
    </message>
    <message>
        <source>SIM card not recognized:%1.</source>
        <translation type="unfinished">SIM card not recognized:%1.</translation>
    </message>
    <message>
        <source>4G module not recognized:%1.</source>
        <translation type="unfinished">4G module not recognized:%1.</translation>
    </message>
    <message>
        <source>Can not login Server,server response timeout:%1.</source>
        <translation type="unfinished">Can not login Server,server response timeout:%1.</translation>
    </message>
    <message>
        <source>Can not login Server,the MD5 check failed:%1.</source>
        <translation type="unfinished">Can not login Server,the MD5 check failed:%1.</translation>
    </message>
    <message>
        <source>Can not login Server,the device registration code already exists:%1.</source>
        <translation type="unfinished">Can not login Server,the device registration code already exists:%1.</translation>
    </message>
    <message>
        <source>Can not login Server,the device registration code does not exist:%1.</source>
        <translation type="unfinished">Can not login Server,the device registration code does not exist:%1.</translation>
    </message>
    <message>
        <source>TCP connection timeout:%1.</source>
        <translation type="unfinished">TCP connection timeout:%1.</translation>
    </message>
    <message>
        <source>Connection WiFi failed:%1.</source>
        <translation type="unfinished">Connection WiFi failed:%1.</translation>
    </message>
    <message>
        <source>Can not get ip:%1.</source>
        <translation type="unfinished">Can not get ip:%1.</translation>
    </message>
    <message>
        <source>No this WiFi to connection:%1.</source>
        <translation type="unfinished">No this WiFi to connection:%1.</translation>
    </message>
    <message>
        <source>Remote Debug:%1.</source>
        <translation type="unfinished">Remote Debug:%1.</translation>
    </message>
    <message>
        <source>4G Call faild:%1.</source>
        <translation type="unfinished">4G Call faild:%1.</translation>
    </message>
    <message>
        <source>IOT status: %1.</source>
        <translation type="unfinished">IOT status: %1.</translation>
    </message>
    <message>
        <source>SIM status: %1.</source>
        <translation type="unfinished">SIM status: %1.</translation>
    </message>
    <message>
        <source>No other screens can be selected. No other screens are stored in the internal screen memory.</source>
        <translation type="unfinished">No other screens can be selected. No other screens are stored in the internal screen memory.</translation>
    </message>
    <message>
        <source>Invalid PLC job number: %1.</source>
        <translation type="unfinished">Invalid PLC job number: %1.</translation>
    </message>
    <message>
        <source>Tag %1 can not write to PLC.</source>
        <translation type="unfinished">Tag %1 can not write to PLC.</translation>
    </message>
    <message>
        <source>The Medium of Log is full .</source>
        <translation type="unfinished">The Medium of Log is full .</translation>
    </message>
    <message>
        <source>Overflow range,the valid range is [%1-%2].</source>
        <translation type="unfinished">Overflow range,the valid range is [%1-%2].</translation>
    </message>
    <message>
        <source>Invalid input of date/time.</source>
        <translation type="unfinished">Invalid input of date/time.</translation>
    </message>
    <message>
        <source>%1 write error: %2.</source>
        <translation type="unfinished">%1 write error: %2.</translation>
    </message>
    <message>
        <source>%1 read error: %2.</source>
        <translation type="unfinished">%1 read error: %2.</translation>
    </message>
    <message>
        <source>The definition of symbol variables has changed and needs to be redefined</source>
        <translation type="unfinished">The definition of symbol variables has changed and needs to be redefined</translation>
    </message>
    <message>
        <source>Too many symbolic variables defined</source>
        <translation type="unfinished">Too many symbolic variables defined</translation>
    </message>
    <message>
        <source>There is no access to the variable</source>
        <translation type="unfinished">There is no access to the variable</translation>
    </message>
    <message>
        <source>Cannot write reference type variable</source>
        <translation type="unfinished">Cannot write reference type variable</translation>
    </message>
    <message>
        <source>Invalid variable definition</source>
        <translation type="unfinished">Invalid variable definition</translation>
    </message>
    <message>
        <source>Invalid communication client</source>
        <translation type="unfinished">Invalid communication client</translation>
    </message>
    <message>
        <source>The registered variable does not match the symbol in the PLC</source>
        <translation type="unfinished">The registered variable does not match the symbol in the PLC</translation>
    </message>
    <message>
        <source>The connected PLC manufacturer does not match</source>
        <translation type="unfinished">The connected PLC manufacturer does not match</translation>
    </message>
    <message>
        <source>Waiting for timeout,the connection may have been disconnected</source>
        <translation type="unfinished">Waiting for timeout,the connection may have been disconnected</translation>
    </message>
    <message>
        <source>The gateway is not connected or has been disconnected and needs to be reconnected</source>
        <translation type="unfinished">The gateway is not connected or has been disconnected and needs to be reconnected</translation>
    </message>
    <message>
        <source>The communication connection has been disconnected and needs to be reconnected</source>
        <translation type="unfinished">The communication connection has been disconnected and needs to be reconnected</translation>
    </message>
    <message>
        <source>The communication connection fails,the network may be blocked</source>
        <translation type="unfinished">The communication connection fails,the network may be blocked</translation>
    </message>
    <message>
        <source>The number of connections exceeds the limit</source>
        <translation type="unfinished">The number of connections exceeds the limit</translation>
    </message>
    <message>
        <source>Uninitialized communication</source>
        <translation type="unfinished">Uninitialized communication</translation>
    </message>
    <message>
        <source>Failed to initialize client communication</source>
        <translation type="unfinished">Failed to initialize client communication</translation>
    </message>
    <message>
        <source>Clock chip battery voltage low!</source>
        <translation type="unfinished">Clock chip battery voltage low!</translation>
    </message>
    <message>
        <source>Insufficient available memory!</source>
        <translation type="unfinished">Insufficient available memory!</translation>
    </message>
    <message>
        <source>err:</source>
        <translation type="unfinished">err:</translation>
    </message>
    <message>
        <source>err:%1</source>
        <translation type="unfinished">err:%1</translation>
    </message>
    <message>
        <source>Connection successful: %1</source>
        <translation type="unfinished">Connection successful: %1</translation>
    </message>
    <message>
        <source>Connection successful: %1, station %2.</source>
        <translation type="unfinished">Connection successful: %1, station %2.</translation>
    </message>
    <message>
        <source>Connection failure: %1</source>
        <translation type="unfinished">Connection failure: %1</translation>
    </message>
    <message>
        <source>Connection failure: %1, station %2.</source>
        <translation type="unfinished">Connection failure: %1, station %2.</translation>
    </message>
    <message>
        <source>Connection disabled: %1, station %2.</source>
        <translation type="unfinished">Connection disabled: %1, station %2.</translation>
    </message>
    <message>
        <source>Connection off line: %1</source>
        <translation type="unfinished">Connection off line: %1</translation>
    </message>
    <message>
        <source>Connection off line: %1, station %2.</source>
        <translation type="unfinished">Connection off line: %1, station %2.</translation>
    </message>
    <message>
        <source>SD card has been ejected.</source>
        <translation type="unfinished">SD card has been ejected.</translation>
    </message>
    <message>
        <source>USB has been ejected.</source>
        <translation type="unfinished">USB has been ejected.</translation>
    </message>
    <message>
        <source>USB card has been detected.</source>
        <translation type="unfinished">USB card has been detected.</translation>
    </message>
    <message>
        <source>USB has not been detected.</source>
        <translation type="unfinished">USB has not been detected.</translation>
    </message>
    <message>
        <source>SD card has been detected.</source>
        <translation type="unfinished">SD card has been detected.</translation>
    </message>
    <message>
        <source>SD card has not been detected.</source>
        <translation type="unfinished">SD card has not been detected.</translation>
    </message>
    <message>
        <source>Log %1 is %2 percent full.</source>
        <translation type="unfinished">Log %1 is %2 percent full.</translation>
    </message>
    <message>
        <source>Log %1 is full.</source>
        <translation type="unfinished">Log %1 is full.</translation>
    </message>
</context>
<context>
    <name>QPrintDialog</name>
    <message>
        <source>Write %1 file</source>
        <translation type="unfinished">Write %1 file</translation>
    </message>
    <message>
        <source>Local file</source>
        <translation type="unfinished">Local file</translation>
    </message>
    <message>
        <source>Print to File (Postscript)</source>
        <translation type="unfinished">Print to File (Postscript)</translation>
    </message>
    <message>
        <source>Print to File (PDF)</source>
        <translation type="unfinished">Print to File (PDF)</translation>
    </message>
    <message>
        <source>&amp;Options &lt;&lt;</source>
        <translation type="unfinished">&amp;Options &lt;&lt;</translation>
    </message>
    <message>
        <source>&amp;Print</source>
        <translation type="unfinished">&amp;Print</translation>
    </message>
    <message>
        <source>&amp;Options &gt;&gt;</source>
        <translation type="unfinished">&amp;Options &gt;&gt;</translation>
    </message>
    <message>
        <source>Custom</source>
        <translation type="unfinished">Custom</translation>
    </message>
    <message>
        <source>US Common #10 Envelope</source>
        <translation type="unfinished">US Common #10 Envelope</translation>
    </message>
    <message>
        <source>Tabloid</source>
        <translation type="unfinished">Tabloid</translation>
    </message>
    <message>
        <source>Letter</source>
        <translation type="unfinished">Letter</translation>
    </message>
    <message>
        <source>Legal</source>
        <translation type="unfinished">Legal</translation>
    </message>
    <message>
        <source>Ledger</source>
        <translation type="unfinished">Ledger</translation>
    </message>
    <message>
        <source>Folio</source>
        <translation type="unfinished">Folio</translation>
    </message>
    <message>
        <source>Executive</source>
        <translation type="unfinished">Executive</translation>
    </message>
    <message>
        <source>The &apos;From&apos; value cannot be greater than the &apos;To&apos; value.</source>
        <translation type="unfinished">The &apos;From&apos; value cannot be greater than the &apos;To&apos; value.</translation>
    </message>
    <message>
        <source>%1 is a directory.
Please choose a different file name.</source>
        <translation type="unfinished">%1 is a directory.
Please choose a different file name.</translation>
    </message>
    <message>
        <source>&lt;qt&gt;Do you want to overwrite it?&lt;/qt&gt;</source>
        <translation type="unfinished">&lt;qt&gt;Do you want to overwrite it?&lt;/qt&gt;</translation>
    </message>
    <message>
        <source>File exists</source>
        <translation type="unfinished">File exists</translation>
    </message>
    <message>
        <source>%1 already exists.
Do you want to overwrite it?</source>
        <translation type="unfinished">%1 already exists.
Do you want to overwrite it?</translation>
    </message>
    <message>
        <source>File %1 is not writable.
Please choose a different file name.</source>
        <translation type="unfinished">File %1 is not writable.
Please choose a different file name.</translation>
    </message>
    <message>
        <source>Print To File ...</source>
        <translation type="unfinished">Print To File ...</translation>
    </message>
    <message>
        <source>Print</source>
        <translation type="unfinished">Print</translation>
    </message>
    <message>
        <source>OK</source>
        <translation type="unfinished">OK</translation>
    </message>
    <message>
        <source>US Common #10 Envelope (105 x 241 mm)</source>
        <translation type="unfinished">US Common #10 Envelope (105 x 241 mm)</translation>
    </message>
    <message>
        <source>Print range</source>
        <translation type="unfinished">Print range</translation>
    </message>
    <message>
        <source>Print selection</source>
        <translation type="unfinished">Print selection</translation>
    </message>
    <message>
        <source>Print all</source>
        <translation type="unfinished">Print all</translation>
    </message>
    <message>
        <source>unknown</source>
        <translation type="unfinished">unknown</translation>
    </message>
    <message>
        <source>Aliases: %1</source>
        <translation type="unfinished">Aliases: %1</translation>
    </message>
    <message>
        <source>locally connected</source>
        <translation type="unfinished">locally connected</translation>
    </message>
</context>
<context>
    <name>QPrintPreviewDialog</name>
    <message>
        <source>Export to PostScript</source>
        <translation type="unfinished">Export to PostScript</translation>
    </message>
    <message>
        <source>Export to PDF</source>
        <translation type="unfinished">Export to PDF</translation>
    </message>
    <message>
        <source>Close</source>
        <translation type="unfinished">Close</translation>
    </message>
    <message>
        <source>Page setup</source>
        <translation type="unfinished">Page setup</translation>
    </message>
    <message>
        <source>Print</source>
        <translation type="unfinished">Print</translation>
    </message>
    <message>
        <source>Show overview of all pages</source>
        <translation type="unfinished">Show overview of all pages</translation>
    </message>
    <message>
        <source>Show facing pages</source>
        <translation type="unfinished">Show facing pages</translation>
    </message>
    <message>
        <source>Show single page</source>
        <translation type="unfinished">Show single page</translation>
    </message>
    <message>
        <source>Landscape</source>
        <translation type="unfinished">Landscape</translation>
    </message>
    <message>
        <source>Portrait</source>
        <translation type="unfinished">Portrait</translation>
    </message>
    <message>
        <source>Zoom out</source>
        <translation type="unfinished">Zoom out</translation>
    </message>
    <message>
        <source>Zoom in</source>
        <translation type="unfinished">Zoom in</translation>
    </message>
    <message>
        <source>Fit page</source>
        <translation type="unfinished">Fit page</translation>
    </message>
    <message>
        <source>Fit width</source>
        <translation type="unfinished">Fit width</translation>
    </message>
    <message>
        <source>Last page</source>
        <translation type="unfinished">Last page</translation>
    </message>
    <message>
        <source>First page</source>
        <translation type="unfinished">First page</translation>
    </message>
    <message>
        <source>Previous page</source>
        <translation type="unfinished">Previous page</translation>
    </message>
    <message>
        <source>Next page</source>
        <translation type="unfinished">Next page</translation>
    </message>
    <message>
        <source>Print Preview</source>
        <translation type="unfinished">Print Preview</translation>
    </message>
    <message>
        <source>Page Setup</source>
        <translation type="unfinished">Page Setup</translation>
    </message>
</context>
<context>
    <name>QPrintPropertiesWidget</name>
    <message>
        <source>Advanced</source>
        <translation type="unfinished">Advanced</translation>
    </message>
    <message>
        <source>Page</source>
        <translation type="unfinished">Page</translation>
    </message>
    <message>
        <source>Form</source>
        <translation type="unfinished">Form</translation>
    </message>
</context>
<context>
    <name>QPrintSettingsOutput</name>
    <message>
        <source>Short side</source>
        <translation type="unfinished">Short side</translation>
    </message>
    <message>
        <source>Long side</source>
        <translation type="unfinished">Long side</translation>
    </message>
    <message>
        <source>None</source>
        <translation type="unfinished">None</translation>
    </message>
    <message>
        <source>Duplex Printing</source>
        <translation type="unfinished">Duplex Printing</translation>
    </message>
    <message>
        <source>Grayscale</source>
        <translation type="unfinished">Grayscale</translation>
    </message>
    <message>
        <source>Color</source>
        <translation type="unfinished">Color</translation>
    </message>
    <message>
        <source>Color Mode</source>
        <translation type="unfinished">Color Mode</translation>
    </message>
    <message>
        <source>Options</source>
        <translation type="unfinished">Options</translation>
    </message>
    <message>
        <source>Reverse</source>
        <translation type="unfinished">Reverse</translation>
    </message>
    <message>
        <source>Collate</source>
        <translation type="unfinished">Collate</translation>
    </message>
    <message>
        <source>Copies:</source>
        <translation type="unfinished">Copies:</translation>
    </message>
    <message>
        <source>Output Settings</source>
        <translation type="unfinished">Output Settings</translation>
    </message>
    <message>
        <source>Selection</source>
        <translation type="unfinished">Selection</translation>
    </message>
    <message>
        <source>to</source>
        <translation type="unfinished">to</translation>
    </message>
    <message>
        <source>Pages from</source>
        <translation type="unfinished">Pages from</translation>
    </message>
    <message>
        <source>Print all</source>
        <translation type="unfinished">Print all</translation>
    </message>
    <message>
        <source>Print range</source>
        <translation type="unfinished">Print range</translation>
    </message>
    <message>
        <source>Copies</source>
        <translation type="unfinished">Copies</translation>
    </message>
    <message>
        <source>Form</source>
        <translation type="unfinished">Form</translation>
    </message>
</context>
<context>
    <name>QPrintWidget</name>
    <message>
        <source>Output &amp;file:</source>
        <translation type="unfinished">Output &amp;file:</translation>
    </message>
    <message>
        <source>Type:</source>
        <translation type="unfinished">Type:</translation>
    </message>
    <message>
        <source>Preview</source>
        <translation type="unfinished">Preview</translation>
    </message>
    <message>
        <source>Location:</source>
        <translation type="unfinished">Location:</translation>
    </message>
    <message>
        <source>P&amp;roperties</source>
        <translation type="unfinished">P&amp;roperties</translation>
    </message>
    <message>
        <source>&amp;Name:</source>
        <translation type="unfinished">&amp;Name:</translation>
    </message>
    <message>
        <source>Printer</source>
        <translation type="unfinished">Printer</translation>
    </message>
    <message>
        <source>Form</source>
        <translation type="unfinished">Form</translation>
    </message>
</context>
<context>
    <name>QSSFileDialog</name>
    <message>
        <source>All Files (*)</source>
        <translation type="unfinished">All Files (*)</translation>
    </message>
    <message>
        <source>New Folder</source>
        <translation type="unfinished">New Folder</translation>
    </message>
    <message>
        <source>Save As</source>
        <translation type="unfinished">Save As</translation>
    </message>
    <message>
        <source>Save</source>
        <translation type="unfinished">Save</translation>
    </message>
    <message>
        <source>Open</source>
        <translation type="unfinished">Open</translation>
    </message>
    <message>
        <source>File of type:</source>
        <translation type="unfinished">File of type:</translation>
    </message>
    <message>
        <source>File name:</source>
        <translation type="unfinished">File name:</translation>
    </message>
    <message>
        <source>Look in:</source>
        <translation type="unfinished">Look in:</translation>
    </message>
</context>
<context>
    <name>RealPlayView</name>
    <message>
        <source>Stop</source>
        <translation type="unfinished">Stop</translation>
    </message>
    <message>
        <source>Start</source>
        <translation type="unfinished">Start</translation>
    </message>
</context>
<context>
    <name>RecipeView</name>
    <message>
        <source>maximum</source>
        <translation type="unfinished">maximum</translation>
    </message>
    <message>
        <source>Data record number beyond the maximum limit</source>
        <translation type="unfinished">Data record number beyond the maximum limit</translation>
    </message>
    <message>
        <source>Save error</source>
        <translation type="unfinished">Save error</translation>
    </message>
    <message>
        <source>The data record is create success</source>
        <translation type="unfinished">The data record is create success</translation>
    </message>
    <message>
        <source>Load data error</source>
        <translation type="unfinished">Load data error</translation>
    </message>
    <message>
        <source>Data record name already assigned</source>
        <translation type="unfinished">Data record name already assigned</translation>
    </message>
    <message>
        <source>Print</source>
        <translation type="unfinished">Print</translation>
    </message>
    <message>
        <source>ToPLC</source>
        <translation type="unfinished">ToPLC</translation>
    </message>
    <message>
        <source>FromPLC</source>
        <translation type="unfinished">FromPLC</translation>
    </message>
    <message>
        <source>SaveAs</source>
        <translation type="unfinished">SaveAs</translation>
    </message>
    <message>
        <source>Synchronize</source>
        <translation type="unfinished">Synchronize</translation>
    </message>
    <message>
        <source>Delete</source>
        <translation type="unfinished">Delete</translation>
    </message>
    <message>
        <source>Save</source>
        <translation type="unfinished">Save</translation>
    </message>
    <message>
        <source>New</source>
        <translation type="unfinished">New</translation>
    </message>
    <message>
        <source>Help</source>
        <translation type="unfinished">Help</translation>
    </message>
    <message>
        <source>There is no data record selected.</source>
        <translation type="unfinished">There is no data record selected.</translation>
    </message>
    <message>
        <source>All DataRecords</source>
        <translation type="unfinished">All DataRecords</translation>
    </message>
    <message>
        <source>Data record does not exist, create a new one?</source>
        <translation type="unfinished">Data record does not exist, create a new one?</translation>
    </message>
    <message>
        <source>All Recipes</source>
        <translation type="unfinished">All Recipes</translation>
    </message>
    <message>
        <source>Overwrite Recipe%1 DataRecord%2 ?</source>
        <translation type="unfinished">Overwrite Recipe%1 DataRecord%2 ?</translation>
    </message>
    <message>
        <source>Overwrite %1 %2 ?</source>
        <translation type="unfinished">Overwrite %1 %2 ?</translation>
    </message>
    <message>
        <source>Rename success!</source>
        <translation type="unfinished">Rename success!</translation>
    </message>
    <message>
        <source>Rename failed!</source>
        <translation type="unfinished">Rename failed!</translation>
    </message>
    <message>
        <source>Rename</source>
        <translation type="unfinished">Rename</translation>
    </message>
    <message>
        <source>DataRecord_</source>
        <translation type="unfinished">DataRecord_</translation>
    </message>
    <message>
        <source>%1 exists, overwrite it?</source>
        <translation type="unfinished">%1 exists, overwrite it?</translation>
    </message>
    <message>
        <source>Comparison completed</source>
        <translation type="unfinished">Comparison completed</translation>
    </message>
    <message>
        <source>The data record is saved</source>
        <translation type="unfinished">The data record is saved</translation>
    </message>
    <message>
        <source>Error, action aborted!</source>
        <translation type="unfinished">Error, action aborted!</translation>
    </message>
    <message>
        <source>Data record saved</source>
        <translation type="unfinished">Data record saved</translation>
    </message>
    <message>
        <source>Command now not possible!</source>
        <translation type="unfinished">Command now not possible!</translation>
    </message>
    <message>
        <source>The data record is read</source>
        <translation type="unfinished">The data record is read</translation>
    </message>
    <message>
        <source>The recipe is read</source>
        <translation type="unfinished">The recipe is read</translation>
    </message>
    <message>
        <source>Data record does not exist, create it?</source>
        <translation type="unfinished">Data record does not exist, create it?</translation>
    </message>
    <message>
        <source>Data record &apos;%1&apos; does not exist, create it?</source>
        <translation type="unfinished">Data record &apos;%1&apos; does not exist, create it?</translation>
    </message>
    <message>
        <source>Save %1&apos;s data record %2?</source>
        <translation type="unfinished">Save %1&apos;s data record %2?</translation>
    </message>
    <message>
        <source>Getting the data record from device,please wait a monment...</source>
        <translation type="unfinished">Getting the data record from device,please wait a monment...</translation>
    </message>
    <message>
        <source>Writing the data record to device,please wait a monment...</source>
        <translation type="unfinished">Writing the data record to device,please wait a monment...</translation>
    </message>
    <message>
        <source>The data record is deleted</source>
        <translation type="unfinished">The data record is deleted</translation>
    </message>
    <message>
        <source>Deleting the data record...</source>
        <translation type="unfinished">Deleting the data record...</translation>
    </message>
    <message>
        <source>Save as</source>
        <translation type="unfinished">Save as</translation>
    </message>
    <message>
        <source>Be sure to remove %1&apos;s %2?</source>
        <translation type="unfinished">Be sure to remove %1&apos;s %2?</translation>
    </message>
    <message>
        <source>Saving the data record...</source>
        <translation type="unfinished">Saving the data record...</translation>
    </message>
    <message>
        <source>New data record</source>
        <translation type="unfinished">New data record</translation>
    </message>
    <message>
        <source>Ready</source>
        <translation type="unfinished">Ready</translation>
    </message>
    <message>
        <source>Error</source>
        <translation type="unfinished">Error</translation>
    </message>
    <message>
        <source>Loading the data...</source>
        <translation type="unfinished">Loading the data...</translation>
    </message>
    <message>
        <source>Value</source>
        <translation type="unfinished">Value</translation>
    </message>
    <message>
        <source>Entry name</source>
        <translation type="unfinished">Entry name</translation>
    </message>
    <message>
        <source>Data record name:</source>
        <translation type="unfinished">Data record name:</translation>
    </message>
    <message>
        <source>Number:</source>
        <translation type="unfinished">Number:</translation>
    </message>
    <message>
        <source>Recipe name:</source>
        <translation type="unfinished">Recipe name:</translation>
    </message>
</context>
<context>
    <name>RemoteDBView</name>
    <message>
        <source>Search</source>
        <translation type="unfinished">Search</translation>
    </message>
    <message>
        <source>Last</source>
        <translation type="unfinished">Last</translation>
    </message>
    <message>
        <source>Next</source>
        <translation type="unfinished">Next</translation>
    </message>
    <message>
        <source>Prev</source>
        <translation type="unfinished">Prev</translation>
    </message>
    <message>
        <source>First</source>
        <translation type="unfinished">First</translation>
    </message>
</context>
<context>
    <name>RenameDialog</name>
    <message>
        <source>Name:</source>
        <translation type="unfinished">Name:</translation>
    </message>
    <message>
        <source>Number:</source>
        <translation type="unfinished">Number:</translation>
    </message>
</context>
<context>
    <name>RestorePwdDialog</name>
    <message>
        <source>input password is wrong!</source>
        <translation type="unfinished">input password is wrong!</translation>
    </message>
    <message>
        <source>Download Password:</source>
        <translation type="unfinished">Download Password:</translation>
    </message>
</context>
<context>
    <name>ScreenScene</name>
    <message>
        <source>40000_title</source>
        <translation type="unfinished">System Alarms</translation>
    </message>
    <message>
        <source>40001_title</source>
        <translation type="unfinished">Communication Alarms</translation>
    </message>
</context>
<context>
    <name>ScreenScene</name>
    <message>
        <source>2_text</source>
        <translation type="unfinished">Monitoring data: </translation>
    </message>
    <message>
        <source>4_text</source>
        <translation type="unfinished">℃</translation>
    </message>
    <message>
        <source>6_text</source>
        <translation type="unfinished">Monitoring data: </translation>
    </message>
    <message>
        <source>8_text</source>
        <translation type="unfinished">℃</translation>
    </message>
</context>
<context>
    <name>SetIotCard</name>
    <message>
        <source>Restore Default Settings</source>
        <translation type="unfinished">Restore Default Settings</translation>
    </message>
    <message>
        <source>Please contact the operator to obtain the APN account.</source>
        <translation type="unfinished">Please contact the operator to obtain the APN account.</translation>
    </message>
    <message>
        <source>If you do not know the APN account.</source>
        <translation type="unfinished">If you do not know the APN account.</translation>
    </message>
    <message>
        <source>Set Help</source>
        <translation type="unfinished">Set Help</translation>
    </message>
    <message>
        <source>Set</source>
        <translation type="unfinished">Set</translation>
    </message>
    <message>
        <source>APN Password:</source>
        <translation type="unfinished">APN Password:</translation>
    </message>
    <message>
        <source>APN Account:</source>
        <translation type="unfinished">APN Account:</translation>
    </message>
    <message>
        <source>APN Name:</source>
        <translation type="unfinished">APN Name:</translation>
    </message>
</context>
<context>
    <name>SetWiFi</name>
    <message>
        <source>Please input password,password length not less 8 </source>
        <translation type="unfinished">Please input password,password length not less 8 </translation>
    </message>
    <message>
        <source>Please input wifi name</source>
        <translation type="unfinished">Please input wifi name</translation>
    </message>
    <message>
        <source>warning</source>
        <translation type="unfinished">warning</translation>
    </message>
    <message>
        <source>Flush</source>
        <translation type="unfinished">Flush</translation>
    </message>
    <message>
        <source>Set</source>
        <translation type="unfinished">Set</translation>
    </message>
    <message>
        <source>WiFi Password:</source>
        <translation type="unfinished">WiFi Password:</translation>
    </message>
    <message>
        <source>WiFi Name:</source>
        <translation type="unfinished">WiFi Name:</translation>
    </message>
    <message>
        <source>WiFi EncryMode:</source>
        <translation type="unfinished">WiFi EncryMode:</translation>
    </message>
    <message>
        <source>WiFi Mode:</source>
        <translation type="unfinished">WiFi Mode:</translation>
    </message>
    <message>
        <source>WiFi Switch:</source>
        <translation type="unfinished">WiFi Switch:</translation>
    </message>
</context>
<context>
    <name>SuperPwdDialog</name>
    <message>
        <source>Restore %1&apos;s default password(%2) success!</source>
        <translation type="unfinished">Restore %1&apos;s default password(%2) success!</translation>
    </message>
    <message>
        <source>Invalid superPassword!</source>
        <translation type="unfinished">Invalid superPassword!</translation>
    </message>
    <message>
        <source>SuperPassword</source>
        <translation type="unfinished">SuperPassword</translation>
    </message>
    <message>
        <source>All Users</source>
        <translation type="unfinished">All Users</translation>
    </message>
    <message>
        <source>User</source>
        <translation type="unfinished">User</translation>
    </message>
    <message>
        <source>Restore default password</source>
        <translation type="unfinished">Restore default password</translation>
    </message>
</context>
<context>
    <name>TagMonitorView</name>
    <message>
        <source>Status</source>
        <translation type="unfinished">Status</translation>
    </message>
    <message>
        <source>Address</source>
        <translation type="unfinished">Address</translation>
    </message>
    <message>
        <source>Describe</source>
        <translation type="unfinished">Describe</translation>
    </message>
</context>
<context>
    <name>TextField</name>
    <message>
        <source>2_controlName</source>
        <translation type="unfinished">实时数据/text domain_9_2</translation>
    </message>
    <message>
        <source>4_controlName</source>
        <translation type="unfinished">实时数据/Text Field_59</translation>
    </message>
    <message>
        <source>6_controlName</source>
        <translation type="unfinished">实时数据/text domain_9_2</translation>
    </message>
    <message>
        <source>8_controlName</source>
        <translation type="unfinished">实时数据/Text Field_59</translation>
    </message>
</context>
<context>
    <name>TrendView</name>
    <message>
        <source>X Value</source>
        <translation type="unfinished">X Value</translation>
    </message>
    <message>
        <source>Date/Time</source>
        <translation type="unfinished">Date/Time</translation>
    </message>
    <message>
        <source>Value</source>
        <translation type="unfinished">Value</translation>
    </message>
    <message>
        <source>Tag connection</source>
        <translation type="unfinished">Tag connection</translation>
    </message>
    <message>
        <source>Trend</source>
        <translation type="unfinished">Trend</translation>
    </message>
</context>
<context>
    <name>UserDialog</name>
    <message>
        <source>Delete all fingerprint information for this user?</source>
        <translation type="unfinished">Delete all fingerprint information for this user?</translation>
    </message>
    <message>
        <source>Connect Error</source>
        <translation type="unfinished">Connect Error</translation>
    </message>
    <message>
        <source>No DataTo Delete</source>
        <translation type="unfinished">No DataTo Delete</translation>
    </message>
    <message>
        <source>Delete Fail.</source>
        <translation type="unfinished">Delete Fail.</translation>
    </message>
    <message>
        <source>Delete Success.</source>
        <translation type="unfinished">Delete Success.</translation>
    </message>
    <message>
        <source>Entry Fail.</source>
        <translation type="unfinished">Entry Fail.</translation>
    </message>
    <message>
        <source>Entry TimeOut.</source>
        <translation type="unfinished">Entry TimeOut.</translation>
    </message>
    <message>
        <source>Entry Success.</source>
        <translation type="unfinished">Entry Success.</translation>
    </message>
    <message>
        <source>Register Mode.</source>
        <translation type="unfinished">Register Mode.</translation>
    </message>
    <message>
        <source>You Can Also Add %1 Fingerprint.</source>
        <translation type="unfinished">You Can Also Add %1 Fingerprint.</translation>
    </message>
    <message>
        <source>Del Fingerprint</source>
        <translation type="unfinished">Del Fingerprint</translation>
    </message>
    <message>
        <source>Add Fingerprint</source>
        <translation type="unfinished">Add Fingerprint</translation>
    </message>
    <message>
        <source>Please repeatedly press finger 4-6 times.</source>
        <translation type="unfinished">Please repeatedly press finger 4-6 times.</translation>
    </message>
    <message>
        <source>Operation Tips</source>
        <translation type="unfinished">Operation Tips</translation>
    </message>
    <message>
        <source>Fingerprint Manage</source>
        <translation type="unfinished">Fingerprint Manage</translation>
    </message>
    <message>
        <source>the length of password must be greater than or equal to  %1!</source>
        <translation type="unfinished">the length of password must be greater than or equal to  %1!</translation>
    </message>
    <message>
        <source>the length of password must be greater than or equal to 3!</source>
        <translation type="unfinished">the length of password must be greater than or equal to 3!</translation>
    </message>
    <message>
        <source>confirm password is not equal with password!</source>
        <translation type="unfinished">confirm password is not equal with password!</translation>
    </message>
    <message>
        <source>Input error</source>
        <translation type="unfinished">Input error</translation>
    </message>
    <message>
        <source>User Grade</source>
        <translation type="unfinished">User Grade</translation>
    </message>
    <message>
        <source>User grade</source>
        <translation type="unfinished">User grade</translation>
    </message>
    <message>
        <source>Logout time</source>
        <translation type="unfinished">Logout time</translation>
    </message>
    <message>
        <source>Logoff time</source>
        <translation type="unfinished">Logoff time</translation>
    </message>
    <message>
        <source>Group</source>
        <translation type="unfinished">Group</translation>
    </message>
    <message>
        <source>ConfirmPassword</source>
        <translation type="unfinished">ConfirmPassword</translation>
    </message>
    <message>
        <source>Password</source>
        <translation type="unfinished">Password</translation>
    </message>
    <message>
        <source>Name</source>
        <translation type="unfinished">Name</translation>
    </message>
    <message>
        <source>User editor</source>
        <translation type="unfinished">User editor</translation>
    </message>
</context>
<context>
    <name>UserModel</name>
    <message>
        <source>Change user &apos;%1&apos; password in &apos;%2&apos;</source>
        <translation type="unfinished">Change user &apos;%1&apos; password in &apos;%2&apos;</translation>
    </message>
    <message>
        <source>Remove user &apos;%1&apos; from &apos;%2&apos;</source>
        <translation type="unfinished">Remove user &apos;%1&apos; from &apos;%2&apos;</translation>
    </message>
    <message>
        <source>Add user &apos;%1&apos; to &apos;%2&apos;</source>
        <translation type="unfinished">Add user &apos;%1&apos; to &apos;%2&apos;</translation>
    </message>
    <message>
        <source>User &apos;%1&apos; in &apos;%2&apos; has logged off</source>
        <translation type="unfinished">User &apos;%1&apos; in &apos;%2&apos; has logged off</translation>
    </message>
    <message>
        <source>User &apos;%1&apos; in &apos;%2&apos; has logged in</source>
        <translation type="unfinished">User &apos;%1&apos; in &apos;%2&apos; has logged in</translation>
    </message>
    <message>
        <source>Log Off</source>
        <translation type="unfinished">Log Off</translation>
    </message>
    <message>
        <source>Log In</source>
        <translation type="unfinished">Log In</translation>
    </message>
    <message>
        <source>System Events</source>
        <translation type="unfinished">System Events</translation>
    </message>
    <message>
        <source>LogonDialog</source>
        <translation type="unfinished">LogonDialog</translation>
    </message>
</context>
<context>
    <name>UserReportView</name>
    <message>
        <source>Auto Refresh</source>
        <translation type="unfinished">Auto Refresh</translation>
    </message>
    <message>
        <source>Export</source>
        <translation type="unfinished">Export</translation>
    </message>
    <message>
        <source>ScrollDown</source>
        <translation type="unfinished">ScrollDown</translation>
    </message>
    <message>
        <source>ScrollUp</source>
        <translation type="unfinished">ScrollUp</translation>
    </message>
    <message>
        <source>ScrollRight</source>
        <translation type="unfinished">ScrollRight</translation>
    </message>
    <message>
        <source>ScrollLeft</source>
        <translation type="unfinished">ScrollLeft</translation>
    </message>
    <message>
        <source>Search</source>
        <translation type="unfinished">Search</translation>
    </message>
</context>
<context>
    <name>UserView</name>
    <message>
        <source>Only numbers greater than the current user grade can be entered, Please try again!</source>
        <translation type="unfinished">Only numbers greater than the current user grade can be entered, Please try again!</translation>
    </message>
    <message>
        <source>Invalid number entered, Please try again!</source>
        <translation type="unfinished">Invalid number entered, Please try again!</translation>
    </message>
    <message>
        <source>User Grade</source>
        <translation type="unfinished">User Grade</translation>
    </message>
    <message>
        <source>UserGrade</source>
        <translation type="unfinished">UserGrade</translation>
    </message>
    <message>
        <source>Logoff Time(min)</source>
        <translation type="unfinished">Logoff Time(min)</translation>
    </message>
    <message>
        <source>Group</source>
        <translation type="unfinished">Group</translation>
    </message>
    <message>
        <source>Password</source>
        <translation type="unfinished">Password</translation>
    </message>
    <message>
        <source>Name</source>
        <translation type="unfinished">Name</translation>
    </message>
</context>
<context>
    <name>LogonDialog</name>
    <message>
        <source>1_DisplayName</source>
        <translation type="unfinished">admin</translation>
    </message>
</context>
<context>
    <name>VncClientView</name>
    <message>
        <source>Disconnect</source>
        <translation type="unfinished">Disconnect</translation>
    </message>
    <message>
        <source>Connect</source>
        <translation type="unfinished">Connect</translation>
    </message>
</context>
<context>
    <name>WebBrowserView</name>
    <message>
        <source>Please Input Url...</source>
        <translation type="unfinished">Please Input Url...</translation>
    </message>
</context>
<context>
    <name>moveElement</name>
    <message>
        <source>tableRight</source>
        <translation type="unfinished">tableRight</translation>
    </message>
    <message>
        <source>tableLeft</source>
        <translation type="unfinished">tableLeft</translation>
    </message>
    <message>
        <source>tableDown</source>
        <translation type="unfinished">tableDown</translation>
    </message>
    <message>
        <source>tableUp</source>
        <translation type="unfinished">tableUp</translation>
    </message>
</context>
</TS>
